Package org.apache.sysds.runtime.util

## Class DnnUtils

- java.lang.Object
- - org.apache.sysds.runtime.util.DnnUtils

-     public class DnnUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DnnUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `fillBias​(MatrixBlock bias, double[] outputArray, int src_rl, int src_ru, int N, int K, int PQ)` |
    `static String` | `getConv2dOutputMap​(String H, String R, String verticalStride, String heightPadding)` |
    `static long` | `getP​(long H, long R, long verticalStride, long heightPadding)` |
    `static long` | `getQ​(long W, long S, long horizontalStride, long widthPadding)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DnnUtils

          public DnnUtils()

  - ### Method Detail

    - #### getConv2dOutputMap

          public static String getConv2dOutputMap​(String H,
                                                  String R,
                                                  String verticalStride,
                                                  String heightPadding)

    - #### getP

          public static long getP​(long H,
                                  long R,
                                  long verticalStride,
                                  long heightPadding)

    - #### getQ

          public static long getQ​(long W,
                                  long S,
                                  long horizontalStride,
                                  long widthPadding)

    - #### fillBias

          public static void fillBias​(MatrixBlock bias,
                                      double[] outputArray,
                                      int src_rl,
                                      int src_ru,
                                      int N,
                                      int K,
                                      int PQ)